<!DOCTYPE html>
<html lang="en">
<!--[if lt IE 7]>
<html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>
<html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>
<html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js"> <!--<![endif]-->
<head>
    <!-- Required meta tags -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="">
    <link rel="icon" href="{{ asset('images/common/logo-bg.png') }}">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="{{ asset('vendor/bootstrap/css/bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ asset('vendor/material-icon/css/material-icons.min.css') }}">
    <link rel="stylesheet" href="{{ asset('css/siswatemanbelajar.css') }}">
    <link rel="manifest" href="{{ asset('Manifest.json') }}">


    <link href="https://fonts.googleapis.com/css2?family=Open+Sans&display=swap" rel="stylesheet">


    <title>{% block title %}Teman Belajar{% endblock %}</title>

    {% block stylesheets %}
        <link href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
    {% endblock %}
    {% block moreCss %}{% endblock %}
    <script>
        // Registering our Service worker
        // if ('serviceWorker' in navigator) {
        //     navigator.serviceWorker.register('serviceWorker.js', {scope: './'})
        // }
    </script>

</head>
<body class="body menciut">

<section class="bddrawer close closeDrawer">
</section>

<section class="">
    {% if app.user != true %}
        <div class="drawer  close">
            <a class="closeDrawer"> <i class="fa fa-times-thin " style="font-size: 1.5rem"></i></a>
            <hr>
            <a class="li" href="/">Beranda</a>
            <hr>
            <a href="/login" class="li">Daftar</a>
            <hr>
            <a href="/login" class="li">Masuk</a>
            <hr>
            <a class="li">Pusat Bantuan</a>
            <hr>
            <img src="{{ asset('images/common/gplay.png') }}" alt="{{ asset('images/common/gplay.png') }}"
                 class="logo-gplay"/>
        </div>
    {% else %}
        <div class="drawer  close">
            <a class="closeDrawer"> <i class="fa fa-times-thin " style="font-size: 1.5rem"></i></a>
            <hr>
            <a href="/" class="li">Dashboard</a>
            <hr>
{#            <a class="li">Presensi Online</a>#}
{#            <hr>#}

            <a class="li" href="/member/subscription">Guruku</a>
            <hr>
{#            <a class="li">Les Online</a>#}
{#            <hr>#}
            <a class="li" href="/pilih-tryout">Tryout Online</a>
            <hr>
{#            <a class="li">Latihan Soal</a>#}
{#            <hr>#}
            <a class="li" href="https://teman-belajar.com/help/">Pusat Bantuan</a>
            <hr>
            <a class="li" href="/logout"><i class="fa fa-sign-out fa-2x text-danger mr-3"></i>Keluar</a>
            <hr>

            <img src="{{ asset('images/common/gplay.png') }}" alt="{{ asset('images/common/gplay.png') }}"
                 class="logo-gplay"/>
        </div>
    {% endif %}



    {% block body %}

    {% endblock %}
</section>

{#    MODAL PENCARIAN MAPEL #}


<div id="alert"></div>

{% block javascripts %}
    <script src="https://code.jquery.com/jquery-3.5.1.min.js" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
            integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
            crossorigin="anonymous"></script>
    <script src="{{ asset('vendor/bootstrap/js/bootstrap.min.js') }}"
            {#            integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV"#}
    ></script>
    <script src="https://www.gstatic.com/firebasejs/8.0.0/firebase-app.js"></script>
    <script src="https://www.gstatic.com/firebasejs/8.0.0/firebase-auth.js"></script>
    <script src="https://www.gstatic.com/firebasejs/8.0.0/firebase-firestore.js"></script>
    <script src="https://www.gstatic.com/firebasejs/8.0.0/firebase-messaging.js"></script>


    <script>
        function closeDrawer() {
            $('.drawer').removeClass("open").addClass("close");
            $('.bddrawer').removeClass("open").addClass("close");
        }

        function openDrawer() {
            $('.drawer').removeClass("close").addClass("open");
            $('.bddrawer').removeClass("close").addClass("open");
        }

        $(".closeDrawer").click(function () {
            closeDrawer();
        });

        $(".openDrawer").click(function () {
            openDrawer();
        });
    </script>
    {#    <script>#}
    {#        var notif = 0;#}
    {#        if ('serviceWorker' in navigator) {#}
    {#            window.addEventListener('load', () => {#}
    {#                firebase.initializeApp({#}
    {#                    apiKey: "AIzaSyASzro8lPtYHw-9iTbMkVaQVHX3iDf3xXw",#}
    {#                    authDomain: "teman-belajar-mo-1564386173622.firebaseapp.com",#}
    {#                    databaseURL: "https://teman-belajar-mo-1564386173622.firebaseio.com",#}
    {#                    projectId: "teman-belajar-mo-1564386173622",#}
    {#                    storageBucket: "teman-belajar-mo-1564386173622.appspot.com",#}
    {#                    messagingSenderId: "183874983613",#}
    {#                    appId: "1:183874983613:web:e100f19094d2d3821389d4",#}
    {#                    measurementId: "G-5HXYFWHV8W"#}
    {#                });#}
    {#// Retrieve an instance of Firebase Messaging so that it can handle background#}
    {#// messages.#}
    {#                const messaging = firebase.messaging();#}
    {#                messaging.usePublicVapidKey('BNBxUJ7pzk0dpzWN5frBT9oi0Wf9iqcu0gw5BtwOwOPlNFDGjKNXAndeZ1k5uQ4ZI1RJwCyqdqIlNs5eN7uwyLQ');#}

    {#                navigator.serviceWorker.register('/firebase-messaging-sw.js');#}

    {#                // [START get_messaging_object]#}
    {#                // Retrieve Firebase Messaging object.#}
    {#                // [END get_messaging_object]#}
    {#                // [START set_public_vapid_key]#}
    {#                // Add the public key generated from the console here.#}

    {#                // [END set_public_vapid_key]#}
    {#                // const messaging = firebase.messaging();#}

    {#                // messaging.usePublicVapidKey('BKq1LPepjNymqWRaRCz0IlLrbMivEr0hNoIEdARoVzwVRsjSkaBFFdAgTiz8WT0YiR1k00Wai6ZRlaHI7d85hxc');#}

    {#                // IDs of divs that display Instance ID token UI or request permission UI.#}
    {#                // const tokenDivId = 'token_div';#}
    {#                // const permissionDivId = 'permission_div';#}
    {#                //#}
    {#                // // [START refresh_token]#}
    {#                // // Callback fired if Instance ID token is updated.#}
    {#                // messaging.onTokenRefresh(() => {#}
    {#                //     messaging.getToken().then((refreshedToken) => {#}
    {#                //         console.log('Token refreshed.');#}
    {#                //         // Indicate that the new Instance ID token has not yet been sent to the#}
    {#                //         // app server.#}
    {#                //         setTokenSentToServer(false);#}
    {#                //         // Send Instance ID token to app server.#}
    {#                //         sendTokenToServer(refreshedToken);#}
    {#                //         // [START_EXCLUDE]#}
    {#                //         // Display new Instance ID token and clear UI of all previous messages.#}
    {#                //         resetUI();#}
    {#                //         // [END_EXCLUDE]#}
    {#                //     }).catch((err) => {#}
    {#                //         console.log('Unable to retrieve refreshed token ', err);#}
    {#                //         showToken('Unable to retrieve refreshed token ', err);#}
    {#                //     });#}
    {#                // });#}
    {#                // [END refresh_token]#}

    {#                // [START receive_message]#}
    {#                // Handle incoming messages. Called when:#}
    {#                // - a message is received while the app has focus#}
    {#                // - the user clicks on an app notification created by a service worker#}
    {#                //   `messaging.setBackgroundMessageHandler` handler.#}
    {#                messaging.onMessage((payload) => {#}
    {#                    console.log('Message received. ', payload);#}
    {#                    notif += 1;#}
    {#                    let title = payload['notification']['title'];#}
    {#                    let body = payload['notification']['body'];#}
    {#                    $('#notif-title').html(title);#}
    {#                    $('#notif-body').html(body);#}
    {#                    $('#toast-notif').css({#}
    {#                        position: "absolute",#}
    {#                        top: "200px",#}
    {#                        right: "0"#}
    {#                        // style="position: absolute; top: 200px; right: 0; "#}
    {#                    });#}
    {#                    $('#toast-notif').toast('show');#}

    {#                    // [START_EXCLUDE]#}
    {#                    // Update the UI to include the received message.#}
    {#                    // appendMessage(payload);#}
    {#                    // [END_EXCLUDE]#}
    {#                });#}

    {#                // [END receive_message]#}

    {#                // function resetUI() {#}
    {#                //     // clearMessages();#}
    {#                //     showToken('loading...');#}
    {#                //     // [START get_token]#}
    {#                //     // Get Instance ID token. Initially this makes a network call, once retrieved#}
    {#                //     // subsequent calls to getToken will return from cache.#}
    {#                        messaging.getToken().then((currentToken) => {#}
    {#                            if (currentToken) {#}
    {#                                console.log(currentToken)#}
    {#                            } else {#}
    {#                                // Show permission request.#}
    {#                                console.log('No Instance ID token available. Request permission to generate one.');#}
    {#                                // Show permission UI.#}
    {#                                // updateUIForPushPermissionRequired();#}
    {#                                // setTokenSentToServer(false);#}
    {#                            }#}
    {#                        }).catch((err) => {#}
    {#                            console.log('An error occurred while retrieving token. ', err);#}
    {#                            // showToken('Error retrieving Instance ID token. ', err);#}
    {#                            // setTokenSentToServer(false);#}
    {#                        });#}
    {#                //     // [END get_token]#}
    {#                // }#}
    {#                //#}
    {#                //#}
    {#                // function showToken(currentToken) {#}
    {#                //     console.log("token show", currentToken);#}
    {#                //     // Show token in console and UI.#}
    {#                //     // const tokenElement = document.querySelector('#token');#}
    {#                //     // tokenElement.textContent = currentToken;#}
    {#                // }#}
    {#                //#}
    {#                // // Send the Instance ID token your application server, so that it can:#}
    {#                // // - send messages back to this app#}
    {#                // // - subscribe/unsubscribe the token from topics#}
    {#                // function sendTokenToServer(currentToken) {#}
    {#                //     if (!isTokenSentToServer()) {#}
    {#                //         console.log('Sending token to server...');#}
    {#                //         // TODO(developer): Send the current token to your server.#}
    {#                //         setTokenSentToServer(true);#}
    {#                //     } else {#}
    {#                //         console.log('Token already sent to server so won\'t send it again ' +#}
    {#                //             'unless it changes');#}
    {#                //     }#}
    {#                //#}
    {#                // }#}
    {#                //#}
    {#                // function isTokenSentToServer() {#}
    {#                //     return window.localStorage.getItem('sentToServer') === '1';#}
    {#                // }#}
    {#                //#}
    {#                // function setTokenSentToServer(sent) {#}
    {#                //     window.localStorage.setItem('sentToServer', sent ? '1' : '0');#}
    {#                // }#}

    {#                // function requestPermission() {#}
    {#                //     console.log('Requesting permission...');#}
    {#                //     // [START request_permission]#}
    {#                //     Notification.requestPermission().then((permission) => {#}
    {#                //         if (permission === 'granted') {#}
    {#                //             console.log('Notification permission granted.');#}
    {#                //#}
    {#                //#}
    {#                //             // TODO(developer): Retrieve an Instance ID token for use with FCM.#}
    {#                //             // [START_EXCLUDE]#}
    {#                //             // In many cases once an app has been granted notification permission,#}
    {#                //             // it should update its UI reflecting this.#}
    {#                //             resetUI();#}
    {#                //             // [END_EXCLUDE]#}
    {#                //         } else {#}
    {#                //             console.log('Unable to get permission to notify.');#}
    {#                //         }#}
    {#                //     });#}
    {#                //     // [END request_permission]#}
    {#                // }#}
    {#                //#}
    {#                // function deleteToken() {#}
    {#                //     // Delete Instance ID token.#}
    {#                //     // [START delete_token]#}
    {#                //     messaging.getToken().then((currentToken) => {#}
    {#                //         messaging.deleteToken(currentToken).then(() => {#}
    {#                //             console.log('Token deleted.');#}
    {#                //             setTokenSentToServer(false);#}
    {#                //             // [START_EXCLUDE]#}
    {#                //             // Once token is deleted update UI.#}
    {#                //             resetUI();#}
    {#                //             // [END_EXCLUDE]#}
    {#                //         }).catch((err) => {#}
    {#                //             console.log('Unable to delete token. ', err);#}
    {#                //         });#}
    {#                //         // [END delete_token]#}
    {#                //     }).catch((err) => {#}
    {#                //         console.log('Error retrieving Instance ID token. ', err);#}
    {#                //         showToken('Error retrieving Instance ID token. ', err);#}
    {#                //     });#}
    {#                //#}
    {#                // }#}
    {#                //#}
    {#            });#}
    {#        }#}
    {#    </script>#}
    <script src="{{ asset('serviceWorker.js') }}"></script>
    <script src="app.js"></script>
    <script>
        if ('serviceWorker' in navigator) {
            navigator.serviceWorker.register('./serviceWorker.js')
                .then(function () {
                    addTask();
                    console.log('Service Worker Registered');
                });
        }
    </script>
    <script defer type="text/javascript" src="{{ asset('js/controller/FBservice.js') }}"></script>
{% endblock %}

{% block JSMore %}

{% endblock %}

{% block extraJs %}

{% endblock %}

</body>
</html>